Subject: bug#33547: 27.0.50; Emacs stuck in infinite loop in garbage collection

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Dec 2018 10:11:03 +0200

> From: Paul Eggert <[email-masked]>
> Date: Fri, 30 Nov 2018 16:33:16 -0800
> Cc: [email-masked]
> 
> Thanks for reporting that. I installed the first attached patch into 
> Emacs master and am marking this bug as done. I am not sure whether a 
> simpler patch should be installed into the emacs-26 branch, but the 
> second attached patch should do the trick for that if needed, not that 
> it's easy to test this sort of thing.

If the simplified change indeed fixes the infloop, I'm okay with
having it on emacs-26.

Thanks.